> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/f1/match-data/season-competitor.md).

# Season Competitor

## Season Competitor

> Return competitors data for query season\<br/>\<br/>Request times: 120 times/min

```json
{"openapi":"3.0.1","info":{"title":"F1 API","version":"0.0.1"},"tags":[{"name":"MATCH DATA","description":"MATCH DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/formula1/season/competitor":{"get":{"tags":["MATCH DATA"],"description":"Return competitors data for query season<br/><br/>Request times: 120 times/min","summary":"Season Competitor","operationId":"getSeasonCompetitor","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Season id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/SeasonCompetitor"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"SeasonCompetitor":{"type":"object","description":"Data details","properties":{"player_id":{"type":"string","description":"Player id"},"team_id":{"type":"string","description":"Team id"},"points":{"type":"integer","description":"Points"},"position":{"type":"integer","description":"Position"},"races":{"type":"integer","description":"Races count"},"podiums":{"type":"integer","description":"Podiums count"},"victories":{"type":"integer","description":"Victories count"},"car_number":{"type":"integer","description":"Car number"},"fastest_laps":{"type":"integer","description":"Fastest lap count"},"races_points":{"type":"integer","description":"Points finishes"},"pole_position":{"type":"integer","description":"Pole position"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/f1/match-data/season-competitor.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
